Bug 831528 - 3.1 - Allow multiple VLANed network together with on only one non-VLANed bridgeless network on top of NIC/Bond
3.1 - Allow multiple VLANed network together with on only one non-VLANed brid...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Igor Lvovsky
GenadiC
Networking
:
Depends On:
Blocks: 841513
  Show dependency treegraph
 
Reported: 2012-06-13 04:51 EDT by Igor Lvovsky
Modified: 2012-12-04 13:59 EST (History)
12 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-25.0
Doc Type: Bug Fix
Doc Text:
Previously, the VDSM was unable to attach several VLANed networks to same NIC/bond interface. This upgrade allows multiple VLANed networks to be attached. In order to ensure network security this feature has been restricted to the following configurations: a single bridged non-VLANed network, or a single bridgeless non-VLANed network plus any amount of bridged/bridgeless VLANed networks.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 13:59:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Igor Lvovsky 2012-06-13 04:51:55 EDT
Description of problem:

Allow multiple VLANed network together with on only one non-VLANed on top of NIC/Bond 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Igor Lvovsky 2012-06-13 06:27:06 EDT
http://gerrit.ovirt.org/#/c/5311/
Comment 2 lpeer 2012-06-14 07:00:25 EDT
We should not allow running VMs on the non-VLANed network to avoid security breatch, the network should be bridgeless.
Comment 4 Igor Lvovsky 2012-07-18 06:33:33 EDT
Only following combinations are allowed:
     - single non-VLANed bridged network
     - multiple VLANed networks (bridged/bridgeless) with only one
       non-VLANed bridgeless network

This should be verified for bond and nic interfaces separately.

http://gerrit.ovirt.org/#/c/6384/
Comment 6 GenadiC 2012-08-05 09:01:58 EDT
Verified in SI13 besides the case that its impossible to create combination on VLAN and non_VLAN non_VM network in one step
Comment 9 errata-xmlrpc 2012-12-04 13:59:49 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html

Note You need to log in before you can comment on or make changes to this bug.